Name:           xlog
Version:        2.0.5
Release:        3%{?dist}
Summary:        Logging program for Hamradio Operators

Group:          Applications/Communications
License:        GPLv3
URL:            http://www.nongnu.org/xlog/
Source0:        http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel
BuildRequires: libgnomeprint22-devel
BuildRequires: hamlib-devel
BuildRequires: shared-mime-info
BuildRequires: gettext-devel
BuildRequires: desktop-file-utils

%description
xlog is a logging program for amateur radio operators. The log is stored
into a text file. QSO's are presented in a list. Items in the list can be
added, deleted or updated. For each contact, dxcc information is displayed
and bearings and distance is calculated, both short and long path.
xlog supports trlog, adif, cabrillo, edit, twlog and editest files.

%prep
%setup -q
#fix bogus .desktop file
sed -i -e "s/ApplicationHamRadio/Application/g" $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop
sed -i -e "s/Utility;Database;HamRadio;GTK/Network;HamRadio;GTK/g" $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop
sed -i -e "s/.png//g" $RPM_BUILD_DIR/%{name}-%{version}/data/desktop/xlog.desktop

%build
%configure --enable-hamlib --docdir=%{_docdir}/%{name}-%{version}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache

%find_lang %{name}

desktop-file-install \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        $RPM_BUILD_ROOT%{_datadir}/applications/xlog.desktop

%post
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :



%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS data/doc/BUGS ChangeLog COPYING NEWS README data/doc/TODO data/doc/manual data/doc/manual.tex data/glabels/qsllabels.glabels
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/dxcc
%{_datadir}/%{name}/maps
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome-mime-text-x-%{name}.png
%{_datadir}/icons/%{name}-icon.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_mandir}/man?/*


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.0.5-2
- Rebuild for new libpng

* Sat Mar 05 2011 Lucian Langa <cooly@gnome.eu.org> - 2.0.5-1
- new upstream release

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 30 2010 Lucian Langa <cooly@gnome.eu.org> - 2.0.4-1
- update source and URL
- new upstream release

* Sun Oct 25 2009 Lucian Langa <cooly@gnome.eu.org> - 2.0.3-3
- fix desktop file #530845

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Lucian Langa <cooly@gnome.eu.org> - 2.0.3-1
- new upstream release

* Thu Jun 25 2009 Lucian Langa <cooly@gnome.eu.org> - 2.0.2-1
- new upstream release

* Mon Mar 09 2009 Lucian Langa <cooly@gnome.eu.org> - 2.0.1-1
- new upstream release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 17 2009 Lucian Langa <cooly@gnome.eu.org> - 2.0-1
- add --docdir option
- remove m4 creation
- drop patch0 (fixed upstream)
- new upstream release

* Wed Dec 10 2008 Lucian Langa <cooly@gnome.eu.org> - 1.8.1-3
- modify patch to correctly display documentation

* Sun Nov 23 2008 Lucian Langa <cooly@gnome.eu.org> - 1.8.1-2
- fix for RH #472619: drop mimeinfo.cache

* Mon Sep 22 2008 Lucian Langa <cooly@gnome.eu.org> - 1.8.1-1
- new upstream versuion
- change category to HamRadio

* Fri Aug 29 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 1.7-4
- include /usr/share/xlog

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 1.7-3
- fix rh bug 458817

* Wed Jul 16 2008 Lucian Langa <cooly@gnome.eu.org> - 1.7-2
- Proper documentation packing
- Misc cleanups

* Thu Feb 28 2008 Robert 'Bob' Jensen 1.7-1
- Upstream Version bump
- Submit for review

* Mon Dec 10 2007 Robert 'Bob' Jensen 1.6.2-2
- SPEC file clean up

* Mon Dec 10 2007 Robert 'Bob' Jensen 1.6.2-1
- Upstream Version bump

* Thu Nov 28 2007 Robert 'Bob' Jensen 1.6.1-2
- License update

* Thu Nov 28 2007 Robert 'Bob' Jensen 1.6.1-1
- Upstream Version bump to solve License issue in wwl.c

* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.6-3
- Fix mimeinfo scriptlet
- Add desktop-file-utils shebang
- Fix .desktop file
- Update files list
- Update license
- Add gettext and shared-mime-info BRs

* Thu Nov 22 2007 Robert 'Bob' Jensen 1.6-2
- Fix BRs

* Mon Nov 19 2007 Robert 'Bob' Jensen 1.6-1
- Current xlog 1.6 requires gtk+-2.0 >= 2.12.0
- Build xlog 1.5 for F7

* Mon Nov 19 2007 Robert 'Bob' Jensen 1.3.1-1
- Initial Fedora spec
- use Joop's spec from version 1.3.1 as a base
